import numpy as np
from constants import *

class Passenger():
    def __init__(self,flightset):
        self.terminal_transit_times = np.zeros((NB_TERMINALS,NB_TERMINALS))
        self.ground_pax_connected_table = {}
        self.air_connected_pax_table = {}
       
    def add_air_connected_pax(self,id_dep_flight,id_arr_flight,min_connection_time,nb_pax):
        connected_pax = Connected_pax(id_dep_flight,id_arr_flight,min_connection_time,nb_pax)
        self.air_connected_pax_table[(id_dep_flight,id_arr_flight)]=connected_pax

class Connected_pax():
    def __init__(self,id_dep_flight,id_arr_flight,min_connection_time,nb_pax):
        self.id_dep_flight=id_dep_flight
        self.id_arr_flight = id_arr_flight
        self.min_connection_time = min_connection_time
        self.nb_pax = nb_pax

    def __str__(self):
        return f'n°{self.id_arr_flight} -->n°{self.id_dep_flight} , connecting time:{self.min_connection_time},  nb pax: {self.nb_pax}'

