


SCENARIO = 'S45'

# FOLDER_DATA = f'Data/{SCENARIO}/'

FOLDER_DATA= f'Data/instances/'
# /home/geoffrey/Documents/pycharmProjects/PFRSP_Security_integration/Data/scenario_thesis
if SCENARIO == 'R90':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'ROAD'
    DELAY = 90 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18


elif SCENARIO == 'R60':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'ROAD'
    DELAY = 60 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18

elif SCENARIO == 'R45':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'ROAD'
    DELAY = 45 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18


elif SCENARIO == 'S90':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'SUBWAY'
    DELAY = 90 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18


elif SCENARIO == 'S60':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'SUBWAY'
    DELAY = 60 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18


elif SCENARIO == 'S45':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'SUBWAY'
    DELAY = 45 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18

elif SCENARIO == 'T90':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'TRAIN'
    DELAY = 90 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18

elif SCENARIO == 'T60':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'TRAIN'
    DELAY = 60 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18

elif SCENARIO == 'T45':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'TRAIN'
    DELAY = 45 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18

elif SCENARIO == 'T120':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'TRAIN'
    DELAY = 120 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 7  # 10
    END_MODE_DISRUPTION_HOUR = 15  # 18

elif SCENARIO == 'S45_1':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'SUBWAY'
    DELAY = 45 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 5  # 10
    END_MODE_DISRUPTION_HOUR = 10  # 18
elif SCENARIO == 'S45_2':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'SUBWAY'
    DELAY = 45 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 14  # 10
    END_MODE_DISRUPTION_HOUR = 21  # 18
elif SCENARIO == 'S45_3':
    DAY = 24  # 23
    MONTH = 6  # 6
    YEAR = 2019
    MODE_DISRUPTED = 'SUBWAY'
    DELAY = 45 * 60  # 60*60 in seconds
    START_MODE_DISRUPTION_HOUR = 5  # 10
    END_MODE_DISRUPTION_HOUR = 21  # 18




STR_MONTH = str(MONTH).zfill(2)
STR_DAY = str(DAY).zfill(2)
DATE = f'{YEAR}/{STR_MONTH}/{STR_DAY}'

NB_FLIGHTS = 726
NB_DEP_RUNWAYS = 2
NB_ARR_RUNWAYS = 2
NB_RUNWAYS = NB_ARR_RUNWAYS + NB_DEP_RUNWAYS

NB_TERMINALS = 9
TIME_STEP = 60*5 #in SECONDS
T_MIN = (0*60*60) //TIME_STEP# in TIME_STEPS
T_MAX = (24*60*60) // TIME_STEP # in TIME_STEPS


MIN_TURNAROUND_TIME = (30*60)//TIME_STEP# in TIME_STEPS

CAPACITY_WINDOW = (60*60)//TIME_STEP #window duration to set max  capacity, hourly capacity if =60


DELTA_SLOT = (10*60)//TIME_STEP # push back max to respect slot in TIME_STEPS
DELTA_OBT = (20*60)//TIME_STEP # push back max in TIME_STEPS
DELTA_L_MIN = (5*60)//TIME_STEP #deviation landing min in TIME_STEPS
DELTA_L_MAX = (15*60)//TIME_STEP #deviation landing max in TIME_STEPS



ALPHA = 0.2 #0.1 #parameter deviation time # ATTENTION !! LORS DES TESTS PAPIER ITOR, ALPHA = 0.2 POUR S45, ET ALPHA=0.1 POUR LE RESTE
BETA = 1# 1 # #parameter non respect slot


### Constantes ###
NM_TO_METER = 1852.0
KT_TO_MS = 1852.0 / 3600.0
SPEED_RUNWAY_THRESHOLD = [110 * KT_TO_MS, 130 * KT_TO_MS, 150 * KT_TO_MS]  #in function of wtCat





# MIN_PROCESS_TIME = 40

ACCESS_TIME = (2 *60*60)//TIME_STEP #in hour, used to simulate inertia between start disruption access mode and impact on departure flights
START_MODE_DISRUPTION_TIME = (START_MODE_DISRUPTION_HOUR*60*60) // TIME_STEP #11 in hour
END_MODE_DISRUPTION_TIME = (END_MODE_DISRUPTION_HOUR*60*60) // TIME_STEP #15 in hour


START_AIRPORT_DISRUPTION_TIME = START_MODE_DISRUPTION_TIME + ACCESS_TIME #in hour
END_AIRPORT_DISRUPTION_TIME = END_MODE_DISRUPTION_TIME + ACCESS_TIME #in hour
WINDOW_DURATION_HOUR = 2
WINDOW_DURATION = (WINDOW_DURATION_HOUR *60*60)//TIME_STEP

WINDOW_SHIFT = 30*60//TIME_STEP # fonctionne avec 15



FOLDER_RESULTS = f'Results//{SCENARIO}/'

TAXI_STEP_CONSTRAINT = True

RUNWAY_STEP_CONSTRAINT= True

TERMINAL_STEP_CONSTRAINT = True

EPSILON_HEURISTIC = 0.00001
